View Issue Details

IDProjectCategoryView StatusLast Update
0001369FreeCADBugpublic2019-07-29 15:18
ReportershoogenAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target Version0.14Fixed in Version0.14 
Summary0001369: Part::TopoShape::getMemSize fails for Bezier Curves
DescriptionA Bezier Curve doesn't use the concept of knots.
memsize += curve.NbKnots() * sizeof(Standard_Real);
Steps To Reproduce>>> import Part
>>> bz=Part.BezierCurve()
>>> bz.toShape().MemSize
Traceback (most recent call last):
  File "<input>", line 1, in <module>
Exception: Unknown exception while reading attribute 'MemSize' of object 'Persistence'
Additional Informationhttp://forum.freecadweb.org/viewtopic.php?f=10&t=5485&p=44388

#0 0x00007f4d6ab22b90 in __cxa_throw ()
   from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#1 0x00007f4d04d8fb0d in Standard_NoSuchObject::Throw() const ()
   from /usr/lib/libTKernel.so.2
0000002 0x00007f4d04d8fbfc in Standard_NoSuchObject::Raise(char const*) ()
   from /usr/lib/libTKernel.so.2
0000003 0x00007f4d047b2786 in GeomAdaptor_Curve::NbKnots() const ()
   from /usr/lib/libTKG3d.so.2
0000004 0x00007f4d05add257 in Part::TopoShape::getMemSize (this=0x43e0508)
    at /home/sebastian/free-cad/src/Mod/Part/App/TopoShape.cpp:1048
0000005 0x00007f4d059e3a5c in Part::PropertyPartShape::getMemSize (this=0x43e04f0)
    at /home/sebastian/free-cad/src/Mod/Part/App/PropertyTopoShape.cpp:228
0000006 0x00007f4d71bd1de3 in App::PropertyContainer::getMemSize (this=0x43e0450)
    at /home/sebastian/free-cad/src/App/PropertyContainer.cpp:69
0000007 0x00007f4d7265f27b in Gui::MainWindow::createMimeDataFromSelection (
    this=0x7fff7d5d3fb0)
    at /home/sebastian/free-cad/src/Gui/MainWindow.cpp:1462
0000008 0x00007f4d7241981b in StdCmdCopy::activated (this=0x1227db0, iMsg=0)
TagsNo tags attached.

Activities

shoogen

2014-01-27 19:38

developer   ~0004125

BTW: shouldn't there be space allocated to save the weights (of BSplines and Beziers)?

wmayer

2014-01-28 10:02

administrator   ~0004126

Yes, could be added.

wmayer

2014-01-28 10:50

administrator   ~0004127

git show 5de7738

Related Changesets

FreeCAD: master 5de77387

2014-01-28 11:29:21

wmayer

Details Diff
+ fixes: 0001369: Part::TopoShape::getMemSize fails for Bezier Curves Affected Issues
0001369
mod - src/Mod/Part/App/TopoShape.cpp Diff File

Issue History

Date Modified Username Field Change
2014-01-27 19:20 shoogen New Issue
2014-01-27 19:20 shoogen Status new => assigned
2014-01-27 19:20 shoogen Assigned To => wmayer
2014-01-27 19:25 shoogen Summary Part::TopoShape::getMemSize failes for Bezier Curves => Part::TopoShape::getMemSize fails for Bezier Curves
2014-01-27 19:38 shoogen Note Added: 0004125
2014-01-28 10:02 wmayer Note Added: 0004126
2014-01-28 10:50 wmayer Note Added: 0004127
2014-01-28 10:50 wmayer Status assigned => closed
2014-01-28 10:50 wmayer Resolution open => fixed
2014-01-28 10:50 wmayer Fixed in Version => 0.14
2019-07-29 15:18 Kunda1 Changeset attached => FreeCAD master 5de77387